<div>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <mat-form-field appearance="outline">
      <mat-label>Name</mat-label>
      <input matInput type="text" formControlName="name" />
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Cost ($)</mat-label>
      <input matInput type="number" formControlName="cost" />
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Tax (%)</mat-label>
      <input matInput type="number" formControlName="tax" />
    </mat-form-field>
    <button mat-button type="submit" [disabled]="!form.valid">
      <mat-icon>add</mat-icon>
      Add Item
    </button>
  </form>
</div>
